using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Text;
using System.Windows.Forms;

using Syncfusion.Windows.Forms.Chart;

namespace Time_span_sample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            InitializeChartData();
        }

        private void InitializeChartData()
        {
            this.chartControl1.Indexed = true;
            this.chartControl1.Text = "Essential Chart";
            this.Text = "Syncfusion...";
            this.chartControl1.LegendPosition = ChartDock.Top;

            this.chartControl1.PrimaryXAxis.LabelIntersectAction = ChartLabelIntersectAction.Rotate;

            ChartSeries series = this.chartControl1.Model.NewSeries("Test");
            series.Type = ChartSeriesType.Line;

            ChartPoint chartPoint0 = new ChartPoint(5, 100);
            ChartPoint chartPoint1 = new ChartPoint(32, 352);

            ChartPoint chartPoint2 = new ChartPoint(64, 5);
            ChartPoint chartPoint3 = new ChartPoint(84, 212);

            series.Points.Add(chartPoint0);
            series.Points.Add(chartPoint1);

            series.Points.Add(chartPoint2);
            series.Points.Add(chartPoint3);

            this.chartControl1.Series.Add(series);

            // To remove unnecessary values at the edges of the chart
            //this.chartControl1.PrimaryXAxis.RangePaddingType = ChartAxisRangePaddingType.None;
            //this.chartControl1.PrimaryYAxis.RangePaddingType = ChartAxisRangePaddingType.None;

            // To set only minimum value to 0 and the maximum value will be calculated automatically.
            this.chartControl1.PrimaryXAxis.RangeType = ChartAxisRangeType.Set;
            this.chartControl1.PrimaryXAxis.Range.Min = 0;

            this.chartControl1.PrimaryYAxis.RangeType = ChartAxisRangeType.Set;
            this.chartControl1.PrimaryYAxis.Range.Min = 0;
        }
    }
}